﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_StudLeave
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("AutoComplete-Ui.min.js", Url)
    <script type="text/javascript">
        $(document).ready(function () {
            $("#FromDate").datepicker();
            $("#ToDate").datepicker();
            $("#btnCancel").click(function () {
                window.location.href = "/TbStudLeave/Index";
            });

            $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');
        });

    </script>
}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Edit Student Leave</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
          string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
          SSCWebDBEntities1 db = new SSCWebDBEntities1();
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                        <table width="300px" align="right">
                            <tr>
                                <td align="right">
                                    @{
          int detail = ViewBag.detail;
                                    }
                                    @Html.ActionLink("See Student Detail", "Details", "MaAdmission", new { id = Model.MaAdmission.Id = @detail }, new { target = "_blank" })
                                </td>
                            </tr>
                        </table>
                        <table width="550px">
                            <tr>
                                <td width="150px">
                                    <table>
                                        <tr>@Html.HiddenFor(model => model.Cdate)
                                            @Html.HiddenFor(model => model.BranchId)
                                            @Html.HiddenFor(model => model.AffectDate)
                                            <td>@Html.LabelFor(model => model.AdmissionId, "Student Name")
                                            </td>
                                            <td>
                                                <span class="color_style">*</span>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td style="width: 100%">
                                    @Html.DropDownList("AdmissionId", null, new { @id = "combobox" })
                                    @Html.ValidationMessageFor(model => model.AdmissionId)
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <table>
                                        <tr>
                                            <td>
                                                @Html.LabelFor(model => model.FromDate)
                                            </td>
                                            <td>
                                                <span class="color_style">*</span>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    @Html.TextBoxFor(model => model.FromDate, "{0: MM/dd/yyyy}")
                                    @Html.ValidationMessageFor(model => model.FromDate)
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <table>
                                        <tr>
                                            <td>
                                                @Html.LabelFor(model => model.ToDate)
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    @Html.TextBoxFor(model => model.ToDate,"{0: MM/dd/yyyy}")
                                    @Html.ValidationMessageFor(model => model.ToDate)
                                </td>
                            </tr>

                            <tr>
                                <td>
                                    <table>
                                        <tr>
                                            <td>
                                                @Html.LabelFor(model => model.Remarks)
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    @Html.TextAreaFor(model => model.Remarks)
                                    @Html.ValidationMessageFor(model => model.Remarks)
                                </td>
                            </tr>

                             @*<tr>
                                    <td>Affect Date</td>
                                    <td>@Html.CheckBoxFor(model => model.AffectDate)
                                        @Html.ValidationMessageFor(model => model.AffectDate)</td>
                                </tr>*@
                            <tr>
                                <td>
                                    <table>
                                        <tr>
                                            <td>
                                                @Html.LabelFor(model => model.UserId)
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    @{
          
          int Userid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);

          string username = db.Users.Where(z => z.Id == Userid).Select(z => z.Fullname).First();
                                    }
                                    @username
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                        <label>
                            New Password</label>
                        <input type="password" class="input-xlarge">
                        <div>
                            <button class="btn btn-primary">
                                Update</button>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank"></a><a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a>
                </p>
            </footer>
        </div>
    </div>
}